BASE64(1)

NAZWA
base64 - koduje/dekoduje dane i wyświetla je na standardowe wyjście

SKŁADNIA
base64 [OPCJE]... [PLIK]

OPIS

Base64 koduje lub dekoduje PLIK lub standardowe wejście na standardowe wyjście.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-d, --decode
    dekoduje dane

-i, --ignore-garbage
    podczas dekodowania ignoruje znaki spoza alfabetu

-w, --wrap=KOLUMNY
    zawija zakodowane wiersze po KOLUMNACH znaków (domyślnie 76). Proszę użyć 0, aby wyłączyć zawijanie wierszy

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Kodowane dane są opisane w alfabecie base64 w dokumencie RFC 4648. Podczas dekodowania wejście może zawierać oprócz bajtów formalnego alfabetu base64 także znaki nowego wiersza. Proszę użyć --ignore-garbage, aby spróbować odzyskać zakodowany strumień zawierający inne bajty spoza alfabetu.

AUTOR
Napisane przez Simona Josefssona.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu base64 proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/base64>
lub lokalnie, za pomocą info '(coreutils) base64 invocation'

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.